<?php
/**
 * The template for displaying Archive pages.
 *
 * @package WordPress
 * @subpackage ZyRed
 * @since ZyRed 3.0
 */

get_header(); 
get_sidebar(); 
get_sidebar('right');
?>

<div id="content">
	<?php if (have_posts()) : ?>
  <?php $postcounter = 0; ?>
	
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>				
			<h1 class="pagetitle"><?php _e('Archive for the','zyred'); ?> '<?php echo single_cat_title(); ?>' <?php _e('Category','zyred'); ?></h1>
			<p><strong><em><?php echo category_description(); ?></em></strong></p>
 		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for','zyred'); ?> <?php the_time(get_option( 'date_format' )); ?></h1>
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for','zyred'); ?> <?php the_time('F Y');; ?></h1>
		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for','zyred'); ?> <?php the_time('Y'); ?></h1>
		<?php /* If this is a search */ } elseif (is_search()) { ?>
			<h1 class="pagetitle"><?php _e('Search Results','zyred'); ?></h1>
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h1 class="pagetitle"><?php _e('Author Archive','zyred'); ?></h1>
		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h1 class="pagetitle"><?php _e('Blog Archives','zyred'); ?></h1>
	<?php } ?>

	<?php while (have_posts()) : the_post(); ?>
	<?php $postcounter++; ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to','zyred'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>

			<p class="date"><i><?php the_time(get_option( 'date_format' )); ?> (<?php the_category(', ') ?>)</i> <?php edit_post_link(__('Edit','zyred'), '', ''); ?></p>
           
			<div class="entry">
 		    <?php the_excerpt(''); ?>			
			<p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php _e('Read the rest of this post...','zyred'); ?></a></p>
			</div>
                    
				<p class="category"><?php comments_popup_link(__('No Comments &#187;','zyred'), __('1 Comment &#187;','zyred'), __('% Comments &#187;','zyred')); ?></p>
		</div>

	<?php endwhile; ?>
	
	<div class="bottomnavigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries','zyred')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;','zyred')) ?></div>
	</div>
		
	<?php else : ?>
	<div id="page">
		<h1 class="center"><?php _e('Not Found','zyred'); ?></h1>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn\'t here.','zyred'); ?></p>
		<p class="center"><?php _e('Perhaps you would like to try a search or select from one of the links on the menu.','zyred'); ?></p>
	</div>
	<?php endif; ?>

</div>

<?php get_footer(); ?>
