<?php 
/**
 * The template for displaying Comments.
 *
 * @package WordPress
 * @subpackage ZyRed
 * @since ZyRed 3.0
 */
?>
<?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view comments.','zyred' ); ?></p>
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>				
				
<?php
	/* This variable is for alternating comment background */
	$oddcomment = 'alt';
?>

<?php // You can start editing here -- including this comment! ?>

<?php if (have_comments()) : ?>

	<h3 id="comments"><?php printf( _n( 'One Response', '%1$s Responses', get_comments_number(), 'zyred' ), number_format_i18n( get_comments_number() )); ?></h3> 

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav class="comment-nav-above">
			<div class="nav-previous"><?php previous_comments_link( __( '&laquo; Older Comments', 'zyred' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &raquo;', 'zyred' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<ol class="commentlist">
			<?php wp_list_comments( array( 'callback' => 'zyred_comment' ) ); ?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav class="comment-nav-below">
			<div class="nav-previous"><?php previous_comments_link( __( '&laquo; Older Comments', 'zyred' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &raquo;', 'zyred' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

	<?php
		/* If there are no comments and comments are closed, let's leave a little note, shall we?
		 * But we don't want the note on pages or post types that do not support comments.
		 */
		elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'zyred' ); ?></p>
	<?php endif; ?>
	<?php
	/* $defaults = array(
		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
		'comment_field'        => '<p class="comment-form-comment"><label for="comment" class="comment-label">' . __( 'Comment', 'zyred' ) . '</label><br /><textarea id="comment" name="comment" cols="45" rows="8"></textarea></p>',
		'comment_notes_before' => '',
		'comment_notes_after'  => '',
	); */
	?>

	<?php comment_form( ); ?>	

