<?php
/**
 * The template for displaying Search Results pages. 
 *
 * @package WordPress
 * @subpackage ZyRed
 * @since ZyRed 3.0
 */

get_header(); 
get_sidebar(); 
get_sidebar('right');
?>

	<div id="content">
	<?php if (have_posts()) : ?>
		<h1 class="pagetitle"><?php _e('Search Results','zyred'); ?></h1>

		<?php while (have_posts()) : the_post(); ?>
				
			<div <?php post_class(); ?>>
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to','zyred'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<p class="date"><i><?php the_time (get_option( 'date_format' ))?> (<?php the_category(', ') ?>)</i> <?php edit_post_link(__('Edit','zyred'), '', ''); ?></p>
     
     <div class="entry">
		<?php the_excerpt(''); ?>
     
		<p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php _e('Read the rest of this post...','zyred'); ?></a></p>
     
     </div>
				<p class="category"><?php comments_popup_link(__('No Comments &#187;','zyred'), __('1 Comment &#187;','zyred'), __('% Comments &#187;','zyred')); ?></p>
			</div>
	
		<?php endwhile; ?>

		<div class="bottomnavigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries','zyred')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;','zyred')) ?></div>
		</div>
	
	<?php else : ?>
	<div id="page">
		<h1 class="center"><?php _e('Search Results','zyred'); ?></h1>
		<h2 class="center"><?php _e('Not Found','zyred'); ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn\'t here.','zyred'); ?></p>
		<p class="center"><?php _e('Perhaps you would like to try another search or select from one of the links on the menu.','zyred'); ?></p>
	</div>
	<?php endif; ?>

	</div>

<?php get_footer(); ?>