<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage ZyRed
 * @since ZyRed 3.0
 */

get_header(); 
get_sidebar(); 
get_sidebar('right');
?>

<div id="content">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<div class="navigation">
		<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
		<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
	</div>
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to','zyred'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>

			<p class="date"><i><?php the_time (get_option( 'date_format' ))?> (<?php the_category(', ') ?>)</i> <?php edit_post_link(__('Edit this entry.','zyred'),'',''); ?></p>

   
		<div class="entrytext">
			<?php the_content(__('Read the rest of this entry &raquo;','zyred')); ?>
        </div>

			<?php wp_link_pages('<p><strong>'.__('Pages:','zyred').'</strong> ', '</p>', 'number'); ?>

			<div class="postmetadata">
				<p>
						<?php _e('You can follow any responses to this entry through the','zyred'); ?> <?php post_comments_feed_link('RSS'); ?> <?php _e('feed','zyred'); ?>. 
						
						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							<?php _e('You can','zyred'); ?> <a href="#respond"><?php _e('leave a response','zyred'); ?></a> <?php _e('or','zyred'); ?> <a href="<?php trackback_url(true); ?>" rel="trackback"><?php _e('trackback','zyred'); ?></a> <?php _e('from your own site','zyred'); ?>.
						
						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							<?php _e('Responses are currently closed, but you can','zyred'); ?> <a href="<?php trackback_url(true); ?> " rel="trackback"><?php _e('trackback','zyred'); ?></a> <?php _e('from your own site','zyred'); ?>.
						
						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							<?php _e('You can skip to the end and leave a response. Pinging is currently not allowed.','zyred'); ?>
			
						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							<?php _e('Both comments and pings are currently closed.','zyred'); ?>			
						
						<?php } ?>
				</p>
				<p><?php printf( __( 'Tags: %s', 'zyred' ), get_the_tag_list( '', __( ', ', 'zyred' ) )); ?></p>
		</div>
     
	</div>
		
	<?php comments_template(); ?>
  
		<div class="bottomnavigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries','zyred')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;','zyred')) ?></div>
		</div>		

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.','zyred'); ?></p>
	
	<?php endif; ?> 

</div>

<?php get_footer(); ?>
